.brick {
  position: relative;
  width: 12rem;
  height: 9rem;
  overflow: hidden;
  page-break-inside: avoid;
  border: 0.2em groove;
  border-radius: 0.5em;

  .brick--trans {
    border-style: dashed;
  }

  &__quantity {
    position: absolute;
    top: -.3em;
    left: -.3em;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    width: 3em;
    height: 2em;
    border: 0.1em outset;
    border-radius: 0 0 1em;

    &-text {
      font-size: 1.2em;
      font-weight: bold;
      color: #fff;
      text-shadow: #1d1b18 -1px 1px 1px;
    }
  }

  .brick__transparent {
    position: absolute;
    top: 3em;
    left: .2em;
    font-size: .7em;
    color: rgb(250 250 250 / 70%);
    writing-mode: vertical-lr;
    text-shadow: #1d1b18 1px 1px 1px;
  }

  .checkbox {
    position: absolute;
    top: -.3em;
    right: -.1em;
    width: 3em;
    height: 2em;
    background-color: whitesmoke;
    border: 0.1em outset;
    border-radius: 0 0 0 1em;
  }

  &__name {
    height: 2em;
    padding: 0 1em;
    overflow: hidden;
    font-size: 0.7em;
    text-align: center;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  &__image {
    width: 6em;
    height: 6em;
    margin: 0 auto;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
  }

  &__color {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 1.5rem;
    font-size: .7em;
    text-align: center;
    box-shadow: 10px 10px 29px 0 rgb(0 0 0 / 9%), -10px -10px 29px 0 rgb(0 0 0 / 9%);

    &-name {
      position: absolute;
      top: 0;
      left: calc(50% - 2em);
      padding: 0 .4em;
      background-color: rgb(250 250 250 / 70%);
      border-radius: 0 0 .7em .7em;
    }
  }
}
